# Header
And More

## org.jfree.chart.plot
Class MultiplePiePlot

    java.lang.Object
      org.jfree.chart.plot.Plot
          org.jfree.chart.plot.MultiplePiePlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, AxisChangeListener, MarkerChangeListener, LegendItemSource, DatasetChangeListener, org.jfree.util.PublicCloneable

    public class MultiplePiePlot

extends Plot
implements java.lang.Cloneable, java.io.Serializable

A plot that displays multiple pie plots using data from a `CategoryDataset`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.plot.Plot
`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_INSETS, DEFAULT_LEGEND_ITEM_BOX, DEFAULT_LEGEND_ITEM_CIRCLE, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

Constructor Summary
`MultiplePiePlot()` Creates a new plot with no data.
`MultiplePiePlot(CategoryDataset dataset)` Creates a new plot.

Method Summary
`java.lang.Object` `clone()` Returns a clone of the plot.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.awt.geom.Point2D anchor, PlotState parentState, PlotRenderingInfo info)` Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`boolean` `equals(java.lang.Object obj)` Tests this plot for equality with an arbitrary object.
`java.lang.Comparable` `getAggregatedItemsKey()` Returns the key for aggregated items in the pie plots, if there are any.
`java.awt.Paint` `getAggregatedItemsPaint()` Returns the paint used to draw the pie section representing the aggregated items.
`org.jfree.util.TableOrder` `getDataExtractOrder()` Returns the data extract order (by row or by column).
`CategoryDataset` `getDataset()` Returns the dataset used by the plot.
`LegendItemCollection` `getLegendItems()` Returns a collection of legend items for the pie chart.
`java.awt.Shape` `getLegendItemShape()` Returns the shape used for legend items.
`double` `getLimit()` Returns the limit (as a percentage) below which small pie sections are aggregated.
`JFreeChart` `getPieChart()` Returns the pie chart that is used to draw the individual pie plots.
`java.lang.String` `getPlotType()` Returns a short string describing the type of plot.
`void` `setAggregatedItemsKey(java.lang.Comparable key)` Sets the key for aggregated items in the pie plots.
`void` `setAggregatedItemsPaint(java.awt.Paint paint)` Sets the paint used to draw the pie section representing the aggregated items and sends a `PlotChangeEvent` to all registered listeners.
`void` `setDataExtractOrder(org.jfree.util.TableOrder order)` Sets the data extract order (by row or by column) and sends a `PlotChangeEvent` to all registered listeners.
`void` `setDataset(CategoryDataset dataset)` Sets the dataset used by the plot and sends a `PlotChangeEvent` to all registered listeners.
`void` `setLegendItemShape(java.awt.Shape shape)` Sets the shape used for legend items and sends a `PlotChangeEvent` to all registered listeners.
`void` `setLimit(double limit)` Sets the limit below which pie sections are aggregated.
`void` `setPieChart(JFreeChart pieChart)` Sets the chart that is used to draw the individual pie plots.

Methods inherited from class org.jfree.chart.plot.Plot

`addChangeListener, axisChanged, createAndAddEntity, datasetChanged, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, fillBackground, fillBackground, fireChangeEvent, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundImageAlpha, getBackgroundPaint, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, handleClick, isNotify, isOutlineVisible, isSubplot, markerChanged, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundImageAlpha, setBackgroundPaint, setDatasetGroup, setDrawingSupplier, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setNotify, setOutlinePaint, setOutlineStroke, setOutlineVisible, setParent, zoom`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplePiePlot

    public MultiplePiePlot()

  Creates a new plot with no data.

### MultiplePiePlot

    public MultiplePiePlot(CategoryDataset dataset)

  Creates a new plot.

  Parameters:
    `dataset` - the dataset (`null` permitted).

Method Detail

### getDataset

    public CategoryDataset getDataset()

  Returns the dataset used by the plot.

  Returns:
    The dataset (possibly `null`).

### setDataset

    public void setDataset(CategoryDataset dataset)

  Sets the dataset used by the plot and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `dataset` - the dataset (`null` permitted).

### getPieChart

    public JFreeChart getPieChart()

  Returns the pie chart that is used to draw the individual pie plots. Note that there are some attributes on this chart instance that will be ignored at rendering time (for example, legend item settings).

  Returns:
    The pie chart (never `null`).
  See Also:
    `setPieChart(JFreeChart)`

### setPieChart

    public void setPieChart(JFreeChart pieChart)

  Sets the chart that is used to draw the individual pie plots. The chart's plot must be an instance of `PiePlot`.

  Parameters:
    `pieChart` - the pie chart (`null` not permitted).
  See Also:
    `getPieChart()`

### getDataExtractOrder

    public org.jfree.util.TableOrder getDataExtractOrder()

  Returns the data extract order (by row or by column).

  Returns:
    The data extract order (never `null`).

### setDataExtractOrder

    public void setDataExtractOrder(org.jfree.util.TableOrder order)

  Sets the data extract order (by row or by column) and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `order` - the order (`null` not permitted).

### getLimit

    public double getLimit()

  Returns the limit (as a percentage) below which small pie sections are aggregated.

  Returns:
    The limit percentage.

### setLimit

    public void setLimit(double limit)

  Sets the limit below which pie sections are aggregated. Set this to 0.0 if you don't want any aggregation to occur.

  Parameters:
    `limit` - the limit percent.

### getAggregatedItemsKey

    public java.lang.Comparable getAggregatedItemsKey()

  Returns the key for aggregated items in the pie plots, if there are any. The default value is "Other".

  Returns:
    The aggregated items key.
  Since:
    1.0.2

### setAggregatedItemsKey

    public void setAggregatedItemsKey(java.lang.Comparable key)

  Sets the key for aggregated items in the pie plots. You must ensure that this doesn't clash with any keys in the dataset.

  Parameters:
    `key` - the key (`null` not permitted).
  Since:
    1.0.2

### getAggregatedItemsPaint

    public java.awt.Paint getAggregatedItemsPaint()

  Returns the paint used to draw the pie section representing the aggregated items. The default value is `Color.lightGray`.

  Returns:
    The paint.
  Since:
    1.0.2

### setAggregatedItemsPaint

    public void setAggregatedItemsPaint(java.awt.Paint paint)

  Sets the paint used to draw the pie section representing the aggregated items and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  Since:
    1.0.2

### getPlotType

    public java.lang.String getPlotType()

  Returns a short string describing the type of plot.

  Specified by:
    `getPlotType` in class `Plot`
  Returns:
    The plot type.

### getLegendItemShape

    public java.awt.Shape getLegendItemShape()

  Returns the shape used for legend items.

  Returns:
    The shape (never `null`).
  Since:
    1.0.12
  See Also:
    `setLegendItemShape(Shape)`

### setLegendItemShape

    public void setLegendItemShape(java.awt.Shape shape)

  Sets the shape used for legend items and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `shape` - the shape (`null` not permitted).
  Since:
    1.0.12
  See Also:
    `getLegendItemShape()`

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area,
                     java.awt.geom.Point2D anchor,
                     PlotState parentState,
                     PlotRenderingInfo info)

  Draws the plot on a Java 2D graphics device (such as the screen or a printer).

  Specified by:
    `draw` in class `Plot`
  Parameters:
    `g2` - the graphics device.
    `area` - the area within which the plot should be drawn.
    `anchor` - the anchor point (`null` permitted).
    `parentState` - the state from the parent plot, if there is one.
    `info` - collects info about the drawing.

### getLegendItems

    public LegendItemCollection getLegendItems()

  Returns a collection of legend items for the pie chart.

  Specified by:
    `getLegendItems` in interface `LegendItemSource`
  Overrides:
    `getLegendItems` in class `Plot`
  Returns:
    The legend items.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this plot for equality with an arbitrary object. Note that the plot's dataset is not considered in the equality test.

  Overrides:
    `equals` in class `Plot`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    `true` if this plot is equal to `obj`, and `false` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the plot.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `Plot`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if some component of the plot does not support cloning.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.